> ## Documentation Index
> Fetch the complete documentation index at: https://doc.seerbit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Order Before Payment

> Create an order before payment



## OpenAPI

````yaml https://raw.githubusercontent.com/seerbit/openapi/master/specs/external-api.yml post /payments/order
openapi: 3.0.1
info:
  title: SeerBit API Reference
  contact: {}
  version: '1.0'
servers:
  - url: https://seerbitapi.com/api/v2
security: []
tags:
  - name: AUTHENTICATION
  - name: STANDARD CHECKOUT
  - name: ORDER CHECKOUT
  - name: PAYMENT METHOD
  - name: MOMO
  - name: NON 3DS PAYMENT
  - name: CARD
  - name: ACCOUNT
  - name: TOKENIZE
  - name: AUTHORISE
  - name: PREAUTHORIZATION
  - name: RECURRENT
paths:
  /payments/order:
    post:
      tags:
        - ORDER CHECKOUT
      summary: Create Order Before Payment
      description: Create an order before payment
      operationId: CreateOrderBeforePayment
      requestBody:
        content:
          application/json:
            schema:
              type: object
            examples:
              CreateOrderRequest1:
                $ref: '#/components/examples/CreateOrderRequest2'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
              examples:
                CreateOrder200Response:
                  $ref: '#/components/examples/CreateOrder200Response'
        '400':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                type: object
              examples:
                400Response:
                  $ref: '#/components/examples/400Response'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
              examples:
                401Response:
                  $ref: '#/components/examples/401Response'
        '403':
          description: Missing Header Token
          content:
            application/json:
              schema:
                type: object
              examples:
                Order403Response:
                  $ref: '#/components/examples/Order403Response'
                403Response:
                  $ref: '#/components/examples/403Response'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
              examples:
                400Response:
                  $ref: '#/components/examples/404Response'
                CreateOrder400Response1:
                  $ref: '#/components/examples/Order404Response1'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
              examples:
                500Response:
                  $ref: '#/components/examples/500Response'
                500Response5:
                  $ref: '#/components/examples/500Response5'
      deprecated: false
      security:
        - Bearer: []
components:
  examples:
    CreateOrderRequest2:
      summary: An example of order before payment request payload
      value:
        email: test@mvaa.com
        publicKey: SBTESTPUBK_9sN3TuLgW6a9redEfY48cKKkUa09Pz2u
        paymentReference: 2PPTG108Q13432E29P23R5L6W93I9
        fullName: ''
        orderType: BULK_BULK
        mobileNumber: ''
        callbackUrl: http://mvaa.ebs-rcm.com/payment
        country: NG
        currency: NGN
        amount: '250.00'
        orders:
          - orderId: 1235567-113227878-64332q
            currency: NGN
            amount: '125.00'
            productId: '0008162'
            productDescription: FRSC PLATE NUMBER
          - orderId: 2211567-2230578-754332
            currency: NGN
            amount: '125.00'
            productId: '4030018'
            productDescription: WEIGHING AND ADMIN CHARGES
    CreateOrder200Response:
      summary: An example of A Create order before payment 200 Response payload
      value:
        status: SUCCESS
        data:
          code: '00'
          payments:
            amount: 250
            paymentReference: 2PPTG108QL13432E29P23R5L6W93I9
            paymentStatus: '08'
            redirectLink: >-
              https://checkout.seerbitapi.com/?mid=SBTESTPUBK_9sN3TuLgW6a9redEfY48cKKkUa09Pz2u&paymentReference=2PPTG108QL13432E29P23R5L6W93I9
          message: Successful
    400Response:
      summary: An example of 400 response payload
      value:
        message: Bad Request
        error: There has been a problem with reading or understanding the request.
    401Response:
      summary: An example of 401 response payload
      value:
        message: Invalid Authentication Token
        error: INPUT
    Order403Response:
      summary: An example of 403 response payload
      value:
        message: Header Token Missing
        error: PERMISSION
    403Response:
      summary: An example of 403 response payload
      value:
        message: Confirm Merchant Environment
        error: PERMISSION
    404Response:
      summary: An example of 404 response payload
      value:
        error: Not Found
    Order404Response1:
      summary: An example of 404 response payload
      value:
        message: Transaction Not Found
        error: NOT_FOUND
    500Response:
      summary: An example of 500 response payload
      value:
        message: Internal Server Error
        error: PROCESSING
    500Response5:
      summary: An example of 500 response payload
      value:
        message: Transaction Exists
        error: PROCESSING
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.